# Retrieving Entrance Details

In an ACS, an entrance is a secured door, gate, zone, or other method of entry. You can list details for all the `acs_entrance` resources in your [workspace](/latest/core-concepts/workspaces.md) or get these details for a specific `acs_entrance`. You can also list all entrances associated with a specific [credential](/latest/capability-guides/access-systems/managing-credentials.md), and you can list all credentials associated with a specific entrance.

***

## List All Entrances

You can [list all `acs_entrance` resources](https://docs.seam.co/latest/api/acs/entrances/list) in your workspace. Note that entrance details include manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).

{% tabs %}
{% tab title="JavaScript" %}
**Request:**

```javascript
await seam.acs.entrances.list();
```

**Response:**

```json
[
  {
    acs_entrance_id: '55555555-5555-5555-5555-555555555555',
    acs_system_id: '11111111-1111-1111-1111-111111111111',
    workspace_id: '00000000-0000-0000-0000-000000000000',
    display_name: 'Guest Lock 2',
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="cURL" %}
**Request:**

```bash
# Use GET or POST.
curl -X 'GET' \
  'https://connect.getseam.com/acs/entrances/list' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer ${API_KEY}" \
  -H 'Content-Type: application/json' \
  -d '{}'
```

**Response:**

```json
{
  "acs_entrances": [
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "display_name": "Guest Lock 2",
      ...
    },
    ...
  ],
  "ok": true
}
```

{% endtab %}

{% tab title="Python" %}
**Request:**

```python
seam.acs.entrances.list()
```

**Response:**

```
[
  AcsEntrance(
    acs_entrance_id='55555555-5555-5555-5555-555555555555',
    acs_system_id='11111111-1111-1111-1111-111111111111',
    workspace_id='00000000-0000-0000-0000-000000000000',
    display_name='Guest Lock 2',
    ....
  ),
  ...
]
```

{% endtab %}

{% tab title="Ruby" %}
**Request:**

```ruby
# Coming soon!
```

**Response:**

```
# Coming soon!
```

{% endtab %}

{% tab title="PHP" %}
**Request:**

```php
$seam->acs->entrances->list();
```

**Response:**

```json
[
  {
    "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
    "acs_system_id": "11111111-1111-1111-1111-111111111111",
    "workspace_id": "00000000-0000-0000-0000-000000000000",
    "display_name": "Guest Lock 2",
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="C#" %}
**Request:**

```csharp
seam.EntrancesAcs.List();
```

**Response:**

```json
{
  "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "display_name": "Guest Lock 2",
  ...
}
...
```

{% endtab %}
{% endtabs %}

***

## List Entrances in an ACS

To list all `acs_entrance`s in a specific ACS, include the `acs_system_id` filter in the [List Entrances](https://docs.seam.co/latest/api/acs/entrances/list) request. Note that entrance details include manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).

{% tabs %}
{% tab title="JavaScript" %}
**Request:**

```javascript
await seam.acs.entrances.list({
  acs_system_id: "11111111-1111-1111-1111-111111111111"
});
```

**Response:**

```json
[
  {
    acs_entrance_id: '55555555-5555-5555-5555-555555555555',
    acs_system_id: '11111111-1111-1111-1111-111111111111',
    workspace_id: '00000000-0000-0000-0000-000000000000',
    display_name: 'Guest Lock 2',
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="cURL" %}
**Request:**

```bash
# Use GET or POST.
curl -X 'GET' \
  'https://connect.getseam.com/acs/entrances/list' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer ${API_KEY}" \
  -H 'Content-Type: application/json' \
  -d '{
  "acs_system_id": "11111111-1111-1111-1111-111111111111"
}'
```

**Response:**

```json
{
  "acs_entrances": [
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "display_name": "Guest Lock 2",
      ...
    },
    ...
  ],
  "ok": true
}
```

{% endtab %}

{% tab title="Python" %}
**Request:**

```python
seam.acs.entrances.list(
  acs_system_id="11111111-1111-1111-1111-111111111111"
)
```

**Response:**

```
[
  AcsEntrance(
    acs_entrance_id='55555555-5555-5555-5555-555555555555',
    acs_system_id='11111111-1111-1111-1111-111111111111',
    workspace_id='00000000-0000-0000-0000-000000000000',
    display_name='Guest Lock 2',
    ....
  ),
  ...
]
```

{% endtab %}

{% tab title="Ruby" %}
**Request:**

```ruby
# Coming soon!
```

**Response:**

```
# Coming soon!
```

{% endtab %}

{% tab title="PHP" %}
**Request:**

```php
$seam->acs->entrances->list(
  acs_system_id: "11111111-1111-1111-1111-111111111111"
);
```

**Response:**

```json
[
  {
    "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
    "acs_system_id": "11111111-1111-1111-1111-111111111111",
    "workspace_id": "00000000-0000-0000-0000-000000000000",
    "display_name": "Guest Lock 2",
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="C#" %}
**Request:**

```csharp
seam.EntrancesAcs.List(
  acsSystemId: "11111111-1111-1111-1111-111111111111"
);
```

**Response:**

```json
{
  "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "display_name": "Guest Lock 2",
  ...
}
...
```

{% endtab %}
{% endtabs %}

***

## List Credentials Associated with an Entrance

To [list the credentials that grant access to a specific entrance](https://docs.seam.co/latest/api/acs/entrances/list_credentials_with_access), use `list_credentials_with_access` method for the `acs_entrance` object and provide the `acs_entrance_id`.

{% tabs %}
{% tab title="JavaScript" %}
**Request:**

```javascript
await seam.acs.entrances.list_credentials_with_access({
  acs_entrance_id: "55555555-5555-5555-5555-555555555555"
});
```

**Response:**

{% hint style="info" %}
This response contains manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).
{% endhint %}

```json
[
  {
    acs_credential_id: '77777777-7777-7777-7777-777777777777',
    acs_user_id: '33333333-3333-3333-3333-333333333333',
    acs_system_id: '11111111-1111-1111-1111-111111111111',
    access_method: 'mobile_key',
    starts_at: '2024-04-09T14:30:55.688Z',
    ends_at: '2024-03-04T10:40:00.000Z',
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="cURL" %}
**Request:**

```bash
# Use GET or POST.
curl -X 'GET' \
  'https://connect.getseam.com/acs/entrances/list_credentials_with_access' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer ${API_KEY}" \
  -H 'Content-Type: application/json' \
  -d '{
  "acs_entrance_id": "55555555-5555-5555-5555-555555555555"
}'
```

**Response:**

{% hint style="info" %}
This response contains manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).
{% endhint %}

```json
{
  "acs_credentials": [
    {
      "acs_credential_id": "77777777-7777-7777-7777-777777777777",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "starts_at": "2024-04-09T14:30:55.688Z",
      "ends_at": "2024-03-04T10:40:00.000Z",
      ...
    },
    ...
  ],
  "ok": true
}
```

{% endtab %}

{% tab title="Python" %}
**Request:**

```python
seam.acs.entrances.list_credentials_with_access(
  acs_entrance_id="55555555-5555-5555-5555-555555555555"
)
```

**Response:**

{% hint style="info" %}
This response contains manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).
{% endhint %}

```
[
  AcsCredential(
    acs_credential_id='77777777-7777-7777-7777-777777777777',
    acs_user_id='33333333-3333-3333-3333-333333333333',
    acs_system_id='11111111-1111-1111-1111-111111111111',
    access_method='mobile_key',
    starts_at='2024-04-09T14:30:55.688Z',
    ends_at='2024-03-04T10:40:00.000Z',
    ...
  ),
  ...
]
```

{% endtab %}

{% tab title="Ruby" %}
**Request:**

```ruby
# Coming soon!
```

**Response:**

```
# Coming soon!
```

{% endtab %}

{% tab title="PHP" %}
**Request:**

```php
$seam->acs->entrances->list_credentials_with_access(
  acs_entrance_id: "55555555-5555-5555-5555-555555555555"
);
```

**Response:**

{% hint style="info" %}
This response contains manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).
{% endhint %}

```json
[
  {
    "acs_credential_id": "77777777-7777-7777-7777-777777777777",
    "acs_user_id": "33333333-3333-3333-3333-333333333333",
    "acs_system_id": "11111111-1111-1111-1111-111111111111",
    "access_method": "mobile_key",
    "starts_at": "2024-04-09T14:30:55.688Z",
    "ends_at": "2024-03-04T10:40:00.000Z",
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="C#" %}
**Request:**

```csharp
seam.EntrancesAcs.ListCredentialsWithAccess(
  acsEntranceId: "55555555-5555-5555-5555-555555555555"
);
```

**Response:**

{% hint style="info" %}
This response contains manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).
{% endhint %}

```json
{
  "acs_credential_id": "77777777-7777-7777-7777-777777777777",
  "acs_user_id": "33333333-3333-3333-3333-333333333333",
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "access_method": "mobile_key",
  "starts_at": "2024-04-09T14:30:55.688Z",
  "ends_at": "2024-03-04T10:40:00.000Z",
  ...
}
...
```

{% endtab %}
{% endtabs %}

***

## List Entrances Associated with a Credential

To [list the entrances to which a specific credential grants access](https://docs.seam.co/latest/api/acs/credentials/list_accessible_entrances), use `list_accessible_entrances` method for the `acs_credential` object and provide the `acs_credential_id`. For details, see [Managing Credentials](/latest/capability-guides/access-systems/managing-credentials.md#list-entrances-associated-with-a-credential).

***

## Get an Entrance

You can [get the details of a specific `acs_entrance`](https://docs.seam.co/latest/api/acs/entrances/get). Note that entrance details include manufacturer-specific metadata that may vary by [manufacturer](https://docs.seam.co/latest/device-and-system-integration-guides#access-control-systems).

{% tabs %}
{% tab title="JavaScript" %}
**Request:**

```javascript
await seam.acs.entrances.get({
  acs_entrance_id: "55555555-5555-5555-5555-555555555555"
});
```

**Response:**

```json
{
  acs_entrance_id: '55555555-5555-5555-5555-555555555555',
  acs_system_id: '11111111-1111-1111-1111-111111111111',
  workspace_id: '00000000-0000-0000-0000-000000000000',
  display_name: 'Guest Lock 2',
  ...
}
```

{% endtab %}

{% tab title="cURL" %}
**Request:**

```bash
# Use GET or POST.
curl -X 'GET' \
  'https://connect.getseam.com/acs/entrances/get' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer ${API_KEY}" \
  -H 'Content-Type: application/json' \
  -d '{
  "acs_entrance_id": "55555555-5555-5555-5555-555555555555"
}'
```

**Response:**

```json
{
  "acs_entrance": {
    "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
    "acs_system_id": "11111111-1111-1111-1111-111111111111",
    "workspace_id": "00000000-0000-0000-0000-000000000000",
    "display_name": "Guest Lock 2",
    ...
  },
  "ok": true
}
```

{% endtab %}

{% tab title="Python" %}
**Request:**

```python
seam.acs.entrances.get(
  acs_entrance_id="55555555-5555-5555-5555-555555555555"
)
```

**Response:**

```
AcsEntrance(
  acs_entrance_id: '55555555-5555-5555-5555-555555555555',
  acs_system_id: '11111111-1111-1111-1111-111111111111',
  workspace_id: '00000000-0000-0000-0000-000000000000',
  display_name: 'Guest Lock 2',
  ...
)
```

{% endtab %}

{% tab title="Ruby" %}
**Request:**

```ruby
# Coming soon!
```

**Response:**

```
# Coming soon!
```

{% endtab %}

{% tab title="PHP" %}
**Request:**

```php
$seam->acs->entrances->get(
  acs_entrance_id: "55555555-5555-5555-5555-555555555555"
);
```

**Response:**

```json
{
  "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "display_name": "Guest Lock 2",
  ...
}
```

{% endtab %}

{% tab title="C#" %}
**Request:**

```csharp
seam.EntrancesAcs.Get(
  acsEntranceId: "55555555-5555-5555-5555-555555555555"
);
```

**Response:**

```json
{
  "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "display_name": "Guest Lock 2",
  ...
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/capability-guides/access-systems/retrieving-entrance-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
